Subject: bug#30130: closed (Add ‘guix whereis’command)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Jan 2024 16:15:02 +0000

Your bug report

#30130: Add ‘guix whereis’ command

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30130: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30130
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Add ‘guix whereis’ command
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jan 2024 17:13:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I’m closing this because we now have “guix locate”.

-- 
Ricardo

Subject: Add ‘guix whereis’ command
From: Mathieu Lirzin <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jan 2018 18:16:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I would find really useful if Guix was providing a tool similar to what
‘dnf whatprovides’ or ‘apt-file’ does.  I mean something to check what
packages provides a particular file (executable/manual/library).

My main use-case is when running a ‘configure’ script which checks an
arbitrary program, I would like ‘guix whereis’ to help me find out what
package I need to install to satisfy its configuration requirement.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37